<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOrderResourceBomsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pp_order_resource_boms', function (Blueprint $table) {
            $table->id('order_resource_bom_id');
            $table->integer('customer_order_plan_data_id');
            $table->string('fg_product_id',45);
            $table->string('rm_product_id',45);
            $table->double('quantity');
            $table->double('uom');
            $table->double('tolerance');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_resource_boms');
    }
}
